summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2018-02-22 18:57:16 +0000
committerPatrick Lauer <patrick@gentoo.org>2018-02-22 18:57:39 +0000
commit07fce8b4d80fccdf0803dd392ec53fa7579d01fa (patch)
tree54e3aedd98b96a2d4e536750c0e8366e41dff772 /dev-lang
parentdev-lang/nqp: Bump (diff)
downloadgentoo-07fce8b4d80fccdf0803dd392ec53fa7579d01fa.tar.gz
gentoo-07fce8b4d80fccdf0803dd392ec53fa7579d01fa.tar.bz2
gentoo-07fce8b4d80fccdf0803dd392ec53fa7579d01fa.zip
dev-lang/rakudo: Bump
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-lang')
-rw-r--r--dev-lang/rakudo/Manifest1
-rw-r--r--dev-lang/rakudo/rakudo-2018.02.ebuild72
2 files changed, 73 insertions, 0 deletions
diff --git a/dev-lang/rakudo/Manifest b/dev-lang/rakudo/Manifest
index 5e4fc5642a0..d3b3efb3781 100644
--- a/dev-lang/rakudo/Manifest
+++ b/dev-lang/rakudo/Manifest
@@ -5,3 +5,4 @@ DIST rakudo-2017.10.tar.gz 3049348 BLAKE2B 7e017635a6807d25b0c62c312db5c86199cca
DIST rakudo-2017.11.tar.gz 3063336 BLAKE2B 781c2359c93e25e1a0429ea509923b0ca76a6a7a2e7d467ff9fc08eb4cfd915ef37641242db9cf92c725b74938b4555f111f4ccdd2af75b46450767f58517994 SHA512 6cb36938e1d395e5271939fed69fb0e2ebfccbf738a7d2cfef620853dfbc157efad4aa802f3c3fcf5d232c291ae0ab21f5bb65c7a17d8a5857c143e7e8976fc3
DIST rakudo-2017.12.tar.gz 3076450 BLAKE2B b97fa774a307486d7af830478d031cef64f3d4ae95192c8d99f1247e349ebccc83dfd3e864d3c829722b9388d6c9ca667ef55f42c8df86cba10278ff9affbc23 SHA512 0c7870ea90bc219cc27c4ea6130ef6e46172d0cd8da3d0b49dc8c8585cddc87a004dfa945075254a6bca3005d7bc68f181c79e229084f97e532ad086c512bf44
DIST rakudo-2018.01.tar.gz 3089785 BLAKE2B 6e74c17b44e489a5a1a60f177290962eac752ad5750dd5d6e64e5a9264d8b6ba7dfe4234087a1b1cbebd3933376b83dd305c3bd255ad39bc81b9c99b8e51b303 SHA512 5030089265f7c4d0bde663eb1d26a0e40ddc9b1dedfd7a350a2238f5136f08abb986d2568c05efe031248ecacdd19888be6e08b954bbeedc03e769d3016b17ea
+DIST rakudo-2018.02.tar.gz 3478799 BLAKE2B 36f50a38c26e9b96a31d63566337315bed41bdd9b19e3b4e74dcdd1e0b56a060b0fcd7430078250e7e3b45473f7ee08ee0f059f10e1d01a24f0a3f08fe43c158 SHA512 743dbe01c20388e7c0f1af6f8175def283f9c92ac6f2c3b7d8c442c03d5204de8bd12d33f6ee99d75f9c0a171ca96cc2a3438b2ebfa0265d80441b353c64bbc4
diff --git a/dev-lang/rakudo/rakudo-2018.02.ebuild b/dev-lang/rakudo/rakudo-2018.02.ebuild
new file mode 100644
index 00000000000..b442d400879
--- /dev/null
+++ b/dev-lang/rakudo/rakudo-2018.02.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit java-pkg-opt-2
+
+DESCRIPTION="A compiler for the Perl 6 programming language"
+HOMEPAGE="http://rakudo.org"
+
+if [[ ${PV} == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/rakudo/${PN}.git"
+ inherit git-r3
+ KEYWORDS=""
+else
+ SRC_URI="https://rakudo.perl6.org/downloads/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Artistic-2"
+SLOT="0"
+# TODO: add USE="javascript" once that's usable in nqp
+IUSE="clang java +moar test"
+REQUIRED_USE="|| ( java moar )"
+
+CDEPEND="~dev-lang/nqp-${PV}:${SLOT}=[java?,moar?,clang=]"
+RDEPEND="${CDEPEND}
+ java? ( >=virtual/jre-1.7 )"
+DEPEND="${CDEPEND}
+ clang? ( sys-devel/clang )
+ java? ( >=virtual/jdk-1.7 )
+ >=dev-lang/perl-5.10"
+
+pkg_pretend() {
+ if has_version dev-lang/rakudo; then
+ ewarn "Rakudo is known to fail compilation/installation with Rakudo"
+ ewarn "already being installed. So if it fails, try unmerging dev-lang/rakudo,"
+ ewarn "then do a new installation."
+ ewarn "(see Bug #584394)"
+ fi
+}
+
+src_configure() {
+ local backends
+ use moar && backends+="moar,"
+ use java && backends+="jvm"
+
+ local myargs=(
+ "--prefix=/usr"
+ "--sysroot=/"
+ "--sdkroot=/"
+ "--backends=${backends}"
+ )
+
+ perl Configure.pl "${myargs[@]}" || die
+
+ if use java; then
+ NQP=$(java-pkg_getjars --with-dependencies nqp)
+ fi
+}
+
+src_compile() {
+ emake DESTDIR="${D}" NQP_JARS="${NQP}" BLD_NQP_JARS="${NQP}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" NQP_JARS="${NQP}" BLD_NQP_JARS="${NQP}" install
+}
+
+src_test() {
+ RAKUDO_PRECOMP_PREFIX=$(mktemp -d) default
+}